#!/bin/sh
#
### BEGIN INIT INFO
# Provides:          xorhack
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
### END INIT INFO


# Carry out specific functions when asked to by the system
case "$1" in
  start)
	/sbin/modprobe xorhack
	mknod -m 0666 /dev/xorhack c 234 0
    ;;
  stop)
	rm -f /dev/xorhack
	/sbin/rmmod xorhack
    ;;
  status)
	if `grep -q xorhack /proc/modules`; then
		echo "xorhack module is loaded"
	else
		echo "xorhack module is not loaded"
	fi
	if [ -e /dev/xorhack ]
	then
		echo "xorhack device exists"
	else
		echo "xorhack device does not exist"
	fi
	;;
  *)
        echo $"Usage: $0 {start|stop|status}"
        exit 1
esac

exit 0

