// 
// App to dump the PS3 Hypervisor from Linux once it has been exploited.
// This requires the xorhack kernel module to be installed.
// 
// xorloser - January 2010
// www.xorloser.com
// 

#define DUMP_NAME	"HV"
#define DUMP_ADDR	0x00000000
#define DUMP_SIZE	0x01000000

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <stdio.h>
#include <malloc.h>

#include "xorhack.h"
#include "xorhack_sc.h"


// get string depicting version of ps3 firmware
const char* get_ps3_ver_str()
{
	static char ver_str[64];
	u64 version;
	
	xorhack_get_version_info(&version);
	sprintf(ver_str, "%x.%x.%x",
		(u32)((version>>32)&0xFFFF),
		(u32)((version>>16)&0xFFFF),
		(u32)((version>> 0)&0xFFFF));
	return ver_str;
}

// dump memory to a file
int dump_mem_to_file(u64 addr, int size, const char* name)
{
	char filename[256];
	FILE* fd;
	u8* data;
	u64 test;
	
	printf("Dumping %s...\n", name);
	sprintf(filename, "%sDump_v%s.bin", name, get_ps3_ver_str());
	
	fd = fopen(filename, "wb");
	if(fd == NULL)
	{
		printf("Error creating file\n");
		return 0;
	}
	
	data = (u8*)malloc(size);
	xorhack_get(data, addr, size);
	if( fwrite(data, 1, size, fd) != size )
		printf("Error writing to dump\n");
	free(data);
	
	fclose(fd);
	printf("Successfully dumped %s\n\n", name);
	return 1;
}


int main(int argc, char* argv[])
{
	if( xorhack_init() < 0 )
	{
		printf("Error initing xorhack access\n");
		return 1;
	}
	
	if( !xorhack_is_exploited() )
	{
		printf("Error PS3 isn't exploited\n");
		xorhack_free();
		return 1;
	}
	
	// 
	// perform dump (only works if exploit has been successfully triggered)
	// 
	printf("\nPS3 is version: v%s\n", get_ps3_ver_str());
	dump_mem_to_file(DUMP_ADDR, DUMP_SIZE, DUMP_NAME);
	
	// finish up
	xorhack_free();
	return 0;
}



