// 
// App to execute real memory once the PS3 has been exploited.
// This requires the xorhack kernel module to be installed.
// 
// WARNING: Using this incorrectly could crash your PS3 or worse!
// 
// xorloser - March 2010
// www.xorloser.com
// 

#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include "xorhack.h"

const char G_TITLE[] =	"ps3exec v2.0  -  xorloser 2010\n";
const char G_USAGE[] =	"Usage:     ps3exec [real address] <arg0> <arg1> ... <arg6>\n"
						"\n"
						"Example:   ps3exec 0x22D278 0 1 2 3 4 5 6\n"
						"           ps3exec TESTFUNC 0 0x100\n"
						"           ps3exec TESTFUNC 0 0x400\n"
						"\n"
						"Note:      You can use \"TESTFUNC\" for the address to have this search\n"
						"           for and use the test function mentioned in the source code.\n"
						"\n"
						"WARNING:   Using this incorrectly could crash your PS3 or worse!\n"
						"\n";


// There is a small routine in every hypervisor dump I have looked at
// that returns a different value based the value of an arg sent to it.
// It's simplicity makes it nice for testing that this code is working.
// 
// By giving this tool the address "TESTFUNC" it will search for and use
// the address of this function with whatever args you pass in.

/*
// C code version of testfunc()
int testfunc(int arg0, int arg1)
{
	if(arg1 == 0x100) return 0x33;
	if(arg1 == 0x200) return 0x34;
	if(arg1 == 0x300) return 0x35;
	if(arg1 == 0x400) return 0x36;
	return 0x33;
}
*/

/*
// assembly code version of testfunc()
testfunc:
    cmpwi cr7, %r4, 0x100
    li  %r3, 0x34 # '4'
    cmpwi cr6, %r4, 0x200
    beq cr7, end
    cmpwi cr1, %r4, 0x300
    beqlr cr6
    cmpwi cr7, %r4, 0x400
    li  %r3, 0x35 # '5'
    beqlr cr1
    li  %r3, 0x36 # '6'
    beqlr cr7

end:
    li  %r3, 0x33 # '3'
    blr
*/


int main(int argc, const char* argv[])
{
	int is_test_func = 0;
	u64 addr = 0;
	u64 args[7] = {0,0,0,0,0,0,0};
	u64 rets[8] = {0,0,0,0,0,0,0,0};
	int i;
	if(argc < 2 || argc > 9)
	{
		printf("%s", G_TITLE);
		printf("%s", G_USAGE);
		return 1;
	}
	if( strcasecmp(argv[1], "TESTFUNC")==0 )
		is_test_func = 1;
	else
		addr = strtoull(argv[1], 0, 0);
	for(i=2; i<argc; i++)
	{
		args[i-2] = strtoull(argv[i], 0, 0);
	}
	
	
	if( xorhack_init() < 0 )
	{
		printf("Error initing xorhack access\n");
		return 1;
	}
	
	if( !xorhack_is_exploited() )
	{
		printf("Error PS3 isn't exploited\n");
		xorhack_free();
		return 1;
	}
	

	// if using testfunc, search for it's address now
	if( is_test_func )
	{
		for(addr=0x200000; addr<0x400000; addr+=4)
		{
			if(	xorhack_get32(addr+0) == 0x2F840100 &&
				xorhack_get32(addr+4) == 0x38600034 )
			{
				break;
			}
		}
		if(addr == 0x400000)
		{
			printf("Unable to find testfunc\n");
			xorhack_free();
			return 1;
		}
		printf("Found testfunc at 0x%llx\n", addr);
	}
	
	// execute the code at the address
	// passing in args and getting results
	printf("Executing code at 0x%llx\n", addr);
	xorhack_exec(addr,
		 args[0], args[1], args[2], args[3], args[4], args[5], args[6],
		&rets[0],&rets[1],&rets[2],&rets[3],&rets[4],&rets[5],&rets[6],&rets[7]);
	
	printf("Results of execution:\n");
	for(i=0; i<8; i++)
		printf("    ret %d: %-16llx\n", i, rets[i]);
	
	
	// finish up
	xorhack_free();
	return 0;
}



