// 
// kernel module to allow easier hacking of the PS3 by allowing 
// lv1 syscalls and exploit triggering from userspare among other things
// 
// help writing this from: http://lwn.net/images/pdf/LDD3/ch03.pdf
// 
// xorloser - February 2010
// www.xorloser.com
// 

#include <linux/module.h>	// for printk stuff
#include <linux/fs.h>		// for file device structs
#include <linux/cdev.h>		// for char device stuff
#include <asm/lv1call.h>	// for lv1 syscalls
#include <asm/uaccess.h>	// for copy_from_user/copy_to_user
#include <asm/io.h>

#include "PS3HTAB.h"

#include "../common/xorhack_ioctl.h"


MODULE_LICENSE("LGPL");
MODULE_AUTHOR("xorloser");
MODULE_DESCRIPTION("Swaps security and stability for ease of hacking from userspace :)");
MODULE_SUPPORTED_DEVICE(XORHACK_NAME);



// perform the ps3 exploit
// 
// args:	number of times to loop waiting for the exploit
extern void ps3_exploit(int num);


static void lv1_syscall_8in_8out(
	u64  arg1, u64  arg2, u64  arg3, u64  arg4, u64  arg5, u64  arg6, u64  arg7, u64  arg8,
	u64* ret1, u64* ret2, u64* ret3, u64* ret4, u64* ret5, u64* ret6, u64* ret7, u64* ret8,
	u64 scNum)
{
	asm volatile(	"mr 3, %8\n"
					"mr 4, %9\n"
					"mr 5, %10\n"
					"mr 6, %11\n"
					"mr 7, %12\n"
					"mr 8, %13\n"
					"mr 9, %14\n"
					"mr 10,%15\n"
					"mr 11,%16\n"
					"sc 1\n"
					"mr %0, 3\n"
					"mr %1, 4\n"
					"mr %2, 5\n"
					"mr %3, 6\n"
					"mr %4, 7\n"
					"mr %5, 8\n"
					"mr %6, 9\n"
					"mr %7,10\n"
					: "=r" (*ret1), "=r" (*ret2), "=r" (*ret3), "=r" (*ret4), "=r" (*ret5), "=r" (*ret6), "=r" (*ret7), "=r" (*ret8)
					:  "r" (arg1),   "r" (arg2),   "r" (arg3),   "r" (arg4),   "r" (arg5),   "r" (arg6),   "r" (arg7),   "r" (arg8), "r" (scNum)
					: "r3", "r4", "r5", "r6", "r7", "r8", "r9", "r10", "r11", "r12");
}


//int lv1_hvexec(u64 raFuncAddr, u64* result, u64 param1, u64 param2, u64 param3, u64 param4)
static void lv1_hvexec(XorExecParam_t* p)
{
	// call function
	lv1_syscall_8in_8out(
		p->args[0],p->args[1],p->args[2],p->args[3],p->args[4],p->args[5],p->args[6],p->funcAddr,
		&p->rets[0],&p->rets[1],&p->rets[2],&p->rets[3],&p->rets[4],&p->rets[5],&p->rets[6],&p->rets[7],
		40 );
}


// Is device open? Used to prevent multiple access to device
static int gs_device_open = 0;


// Called when a process tries to open the device file, like
// "cat /dev/xorhack"
static int device_open(struct inode *inode, struct file *filp)
{
	// only talk to one process at a time
	if(gs_device_open)
	{
		printk(KERN_ALERT "Device is still open!\n");
		return -EBUSY;
	}
	gs_device_open++;
	
	try_module_get(THIS_MODULE);
	return 0;
}

// Called when a process closes the device file.
static int device_release(struct inode *inode, struct file *filp)
{
	// We're now ready for our next caller
	gs_device_open--;
	
	// Decrement the usage count, or else once you opened the file, you'll
	// never get get rid of the module. 
	module_put(THIS_MODULE);
	return 0;
}


// This function is called whenever a process tries to do an ioctl on our
// device file. We get two extra parameters (additional to the inode and file
// structures, which all device functions get): the number of the ioctl called
// and the parameter given to the ioctl function.
//
// If the ioctl is write or read/write (meaning output is returned to the
// calling process), the ioctl call returns the output of this function.
static int device_ioctl(struct inode *inode, struct file *filp,
					unsigned int cmd, unsigned long arg)
{
	int num;
	XorSCParam_t sc_param;
	XorExecParam_t exec_param;
	XorLA2RAParam_t la2ra_param;
	XorIoremapParam_t ioremap_param;
	
	// Switch according to the ioctl called 
	switch(cmd)
	{
	// perform ps3 exploit
	case IOCTL_PS3_EXPLOIT:
		num = arg;
		ps3_exploit(num);
		break;
	
	// perform lv1 syscall
	case IOCTL_LV1_SYSCALL:
		// Copy paramters from user space into kernel space
		copy_from_user(&sc_param, (void*)arg, sizeof(XorSCParam_t));
		
		// perform syscall using paramters
		lv1_syscall_8in_8out(
			 sc_param.args[0], sc_param.args[1], sc_param.args[2], sc_param.args[3],
			 sc_param.args[4], sc_param.args[5], sc_param.args[6], sc_param.args[7],
			&sc_param.rets[0],&sc_param.rets[1],&sc_param.rets[2],&sc_param.rets[3],
			&sc_param.rets[4],&sc_param.rets[5],&sc_param.rets[6],&sc_param.rets[7],
			sc_param.scNum);
		
		// when done copy paramters back into user space
		copy_to_user((void*)arg, &sc_param, sizeof(XorSCParam_t));
		break;
	
	// execute code in hv context
	case IOCTL_LV1_HVEXEC:
		// Copy paramters from user space into kernel space
		copy_from_user(&exec_param, (void*)arg, sizeof(XorExecParam_t));
		
		// execute function in hv context
		lv1_hvexec(&exec_param);
		
		// when done copy paramters back into user space
		copy_to_user((void*)arg, &exec_param, sizeof(XorExecParam_t));
		break;
	
	// convert an lpar address to a real address
	case IOCTL_LV1_LA2RA:
		// Copy paramters from user space into kernel space
		copy_from_user(&la2ra_param, (void*)arg, sizeof(XorLA2RAParam_t));
		
		// convert an lpar address to a real address
		la2ra_param.realAddr = htab_ra_from_lpar(la2ra_param.lparAddr);
		
		// when done copy paramters back into user space
		copy_to_user((void*)arg, &la2ra_param, sizeof(XorLA2RAParam_t));
		break;

	// remap memory specifying flags to use
	case IOCTL_LV1_IOREMAP:
		// Copy paramters from user space into kernel space
		copy_from_user(&ioremap_param, (void*)arg, sizeof(XorIoremapParam_t));
		
		// remap memory specifying flags to use
		ioremap_param.remappedAddr = (u64)__ioremap(ioremap_param.addr, ioremap_param.size, ioremap_param.flags);
		
		// when done copy paramters back into user space
		copy_to_user((void*)arg, &ioremap_param, sizeof(XorIoremapParam_t));
		break;
	}
	
	// success
	return 0;
}


// NOTE: Read/Write handlers seem to always be passed a length
// of 0x1000 (or a multiple of?) so it make generic read/write
// access not work correctly, which is why I decided to remove
// their implementation.
static struct file_operations fops = {
	.owner	= THIS_MODULE,
	.ioctl	= device_ioctl,
	.open	= device_open,
	.release= device_release,
};


static struct cdev gs_cdev;


int init_module()
{
	int ret;
	dev_t dev = MKDEV(XORHACK_MAJOR, 0);
	
	ret = register_chrdev_region(dev, 1, XORHACK_NAME);
	if(ret < 0)
	{
		printk(KERN_ALERT "Error %d registering device %s\n", ret, XORHACK_NAME);
		return ret;
	}
	
	memset(&gs_cdev, 0, sizeof(gs_cdev));
	cdev_init(&gs_cdev, &fops);
	gs_cdev.owner = THIS_MODULE;
	gs_cdev.ops = &fops;
	ret = cdev_add(&gs_cdev, dev, 1);
	if(ret < 0)
	{
		printk(KERN_ALERT "Error %d adding cdev %s\n", ret, XORHACK_NAME);
		unregister_chrdev_region(dev, 1);
		return ret;
	}
	
	return 0;
}

void cleanup_module(void)
{
	dev_t dev = MKDEV(XORHACK_MAJOR, 0);
	
	cdev_del(&gs_cdev);
	unregister_chrdev_region(dev, 1);
}




